/*
 * 作成日: 2008/08/05
 * 著作権: Copyright (c) 2005 ZIGEN
 * ライセンス：Eclipse Public License - v 1.0
 * 原文：http://www.eclipse.org/legal/epl-v10.html
 */
package zigen.plugin.db.ext.s2jdbc.entity.rule;

import zigen.plugin.db.core.TableColumn;

public interface IEntityMappingFactory {
	
	public String getJavaType(TableColumn column);
	
	public String getJavaType(int type);
	
	public String getTemporalType(int type);
	
	public boolean isLargeObject(int type);
}